「ダウングレード」タグアーカイブ

WordPressを6.2にアップデートしたらウィジェットにエラーが起きた!

【スポンサーリンク】

LINEで送る
Pocket

WordPressダウングレード

13日の夜にWordPressを6.2にアップデートしたところWordPressのウィジェットがエラーになってしまいました。

ウエジェットエラー

2023年3月30日には、WordPressを6.2のアップデートのお知らせが、来ていたみたいなのですが直ぐには、アップデートする気になれずスルーしていました。

WordPressの管理画面のボタンを押して上手くアップデートできるなら良いのですが、それでするとWordPressのメジャーアップデートやJetPackのアップデートは、いつも失敗してエラーが、出てしまっていましたので 最近は、管理画面からは、更新せずにFTPソフトを使って手動でやるようにしていました。

手動でやれば上手くいくので それからは、ずっと手動でやっています。

なので いざやるとなると手間がかかるので なかなか重い腰が上がりません。

なので これらのアップデートを行う時は、いつもテストサイトにアップデートして試してから行う様にしています。

WordPressサイトを作った場合は、テストサイトは必ず必要ですね。

なので今回もテストサイトでWordPress6.2をアップデートして問題がなかったので アップデートをしたのですがWordPressの「ウィジェット」にエラーが起きてしまいました。

テストサイトでは問題はなかったのに なぜだろうと考えたら このブログサイト「理容室/FamilySalonセイコウ から」もアップデートしたのですが、エラーは起こらず上手くアップデートできたのですが、「宇和島の散歩道」のブログサイトにエラーが起こりました。

テストサイトは、「理容室/FamilySalonセイコウ から」のサイトのテーマと同じモノで作られているのですが、「宇和島の散歩道」は、これとは違うテーマでサイトを作っているのでまったく同じものでは、ないため検証ができなかったようです。

なのでテストをするときは、同じテストサイトを作っておかないとダメみたいですね。

そこで 今回は以前のバージョン6.1.1に戻すダウングレードを試してみました。

ダウングレードする方法は、プラグインでする方法と FTPを使って手動でする方法があります。

ダウングレードするプラグインは、入れていないので FTPを使って手動でする事にしました。

ダウングレードするプラグインを使ってダウングレードしてエラーになったというネットでの記事もあるようです。

手動のダウングレードのやり方は、FTPで WordPressをアップデートする方法と同じです。

この時に使うFTPソフトは、「FFFTPソフト」では、できませんので私は、「 FileZillaファイルジラ 」のFTPソフトを使っています。
「FFFTPソフト」は、FTPソフトの定番なので昔から使っていましたが、一度のアップロードファイル数 に制限があるようでWordPressの様に更新ファイルの多いモノは、途中で停止してしまうので使えません。

そのため「FFFTPソフト」を使うと更新ファイル数が多いモノは、高い確率で失敗します。

【▼記事は、下記に続く】

スポンサーリンク


【▲上記の記事からの続き▼】

 

手動でのダウングレードのやり方は、手動でのWordPressのアップデートと同じです。

https://ja.wordpress.org/download/releases/」のサイトからWordPressの以前のバージョンをダウンロードします。

必要とする WordPress のzip (もしくは tar.gz) ファイルを入手しましたらダウンロードしたzipファイルを解凍します。

アップロードする前にWordPressで使っているすべてのプラグインを停止します。

FTP で、ホスト上にある古い 「wp-includes」 と「 wp-admin」 のディレクトリを削除します。

FTPソフト

ダウンロードしたWordPressの中にある「 wp-includes」 と「 wp-admin」 ディレクトリを 削除したディレクトリがあった場所にアップロードします。

FTPソフト

次にダウンロードした「 wp-content」 フォルダー内にある各ファイルを、既存の「 wp-content」 フォルダーにアップロードして上書きします。

FTPソフト

この際、既存の 「wp-content 」フォルダー自体や、「wp-content」 ディレクトリ内にあったファイルやフォルダーは、絶対削除しないでください。

最後にダウンロードしたバージョンの WordPress の root ディレクトリにある残りのファイルを、既存の WordPress の root ディレクトリにアップロードして終了です。

FTPソフト

今回は、WordPress6.1.1にダウングレードしてエラーも解消することができました。

WordPress6.1.1

なのでもし次にアップグレードするとしたらWordPress6.2.1以上にならないとできません!

でもそれを待っていたらセキュリティ的にもどうなのかなと思いいっそうテーマをこのブログサイト「理容室/FamilySalonセイコウ から」と一緒にすればWordPress6.2にアップデートできると思いつきテーマを変更してアップデートすることにしました。

そうすればテストサイトで検証できますからね。

LINEで送る
Pocket

にほんブログ村 地域生活(街) 四国ブログ 愛媛県情報へ にほんブログ村 美容ブログ 理容室・床屋へ

スポンサーリンク
スポンサーリンク